Skip to content

create

POST
/public/webhook/create

Create a new webhook for the team (team API key).

object
url
required

The webhook URL

string format: uri
contentType
required

Content type for the webhook

string
Allowed values: application/json application/x-www-form-urlencoded
sslVerify
required

Whether to verify SSL certificates

boolean
active
required

Whether the webhook is active

boolean
secret

Optional secret for HMAC signature

string
events

List of events to subscribe to (null means all events)

Array<string>
workspaceUuids

List of workspace UUIDs to scope the webhook to (null means all workspaces)

Array<string>
title

Optional title for the webhook

string
<= 256 characters

Default Response

object
webhook
required
object
uuid
required

The UUID of the webhook

string
title
required
Any of:
string
active
required

Whether the webhook is active

boolean
sslVerify
required

Whether SSL verification is enabled

boolean
contentType
required

The content type for the webhook

string
events
required
Any of:
Array<string>
workspaceUuids
required
Any of:
Array<string>
creationDate
required

Creation timestamp

number
updateDate
required

Update timestamp

number

Default Response

object
statusCode
required

HTTP status code

number
error
required
object
code
required

The error code

string
Allowed values: WORKSPACE_NOT_FOUND FEATURE_NOT_IN_CURRENT_PLAN WEBHOOK_URL_REFUSED WEBHOOK_LIMIT_REACHED INVALID_REQUEST_FORMAT
message
required

The error message

string
suggestion
required

A suggestion to resolve the error

string
documentationUrl
required

A URL to the documentation

string
details

Optional validation details (e.g. for INVALID_REQUEST_FORMAT)

Array<object>

Single validation issue (e.g. from request body schema)

object
path
required

JSON path to the invalid field

Array<string>
message
required

Validation error message for this field

string
requestId
required

The unique identifier of the request

string
timestamp
required

The timestamp of the response

string
path
required

The path of the request

string

Default Response

object
statusCode
required

HTTP status code

number
error
required
object
code
required

The error code

string
Allowed values: AUTHENTICATION_ERROR TUNNEL_ERROR TUNNEL_SESSION_NOT_FOUND INVALID_REQUEST_FORMAT
message
required

The error message

string
suggestion
required

A suggestion to resolve the error

string
documentationUrl
required

A URL to the documentation

string
details

Optional validation details (e.g. for INVALID_REQUEST_FORMAT)

Array<object>

Single validation issue (e.g. from request body schema)

object
path
required

JSON path to the invalid field

Array<string>
message
required

Validation error message for this field

string
requestId
required

The unique identifier of the request

string
timestamp
required

The timestamp of the response

string
path
required

The path of the request

string

Default Response

object
statusCode
required

HTTP status code

number
error
required
object
code
required

The error code

string
Allowed values: AUTHORIZATION_ERROR FEATURE_NOT_IN_CURRENT_PLAN INVALID_REQUEST_FORMAT
message
required

The error message

string
suggestion
required

A suggestion to resolve the error

string
documentationUrl
required

A URL to the documentation

string
details

Optional validation details (e.g. for INVALID_REQUEST_FORMAT)

Array<object>

Single validation issue (e.g. from request body schema)

object
path
required

JSON path to the invalid field

Array<string>
message
required

Validation error message for this field

string
requestId
required

The unique identifier of the request

string
timestamp
required

The timestamp of the response

string
path
required

The path of the request

string

Default Response

object
statusCode
required

HTTP status code

number
error
required
object
code
required

The error code

string
Allowed values: INTERNAL_SERVER_ERROR INVALID_REQUEST_FORMAT
message
required

The error message

string
suggestion
required

A suggestion to resolve the error

string
documentationUrl
required

A URL to the documentation

string
details

Optional validation details (e.g. for INVALID_REQUEST_FORMAT)

Array<object>

Single validation issue (e.g. from request body schema)

object
path
required

JSON path to the invalid field

Array<string>
message
required

Validation error message for this field

string
requestId
required

The unique identifier of the request

string
timestamp
required

The timestamp of the response

string
path
required

The path of the request

string